Package org.apache.sling.maven.jspc

## Class JspCServletConfig

- java.lang.Object
- - org.apache.sling.maven.jspc.JspCServletConfig

All Implemented Interfaces:
  `javax.servlet.ServletConfig`

    public class JspCServletConfig
    extends Object
    implements javax.servlet.ServletConfig

### Constructor Summary

Constructors
`JspCServletConfig​(javax.servlet.ServletContext servletContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getInitParameter​(String name)`
`Enumeration<String>` `getInitParameterNames()`
`javax.servlet.ServletContext` `getServletContext()`
`String` `getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspCServletConfig

    public JspCServletConfig​(javax.servlet.ServletContext servletContext)

### Method Detail

#### getInitParameter

    public String getInitParameter​(String name)

Specified by:
  `getInitParameter` in interface `javax.servlet.ServletConfig`

#### getInitParameterNames

    public Enumeration<String> getInitParameterNames()

Specified by:
  `getInitParameterNames` in interface `javax.servlet.ServletConfig`

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `javax.servlet.ServletConfig`

#### getServletName

    public String getServletName()

Specified by:
  `getServletName` in interface `javax.servlet.ServletConfig`